# Variables
DIR=$(git rev-parse --show-toplevel)

# Moves to tests directory and clears the terminal
cd $DIR/tests
clear

# Checks args
if [ -z "$*" ]; then
  echo "ERROR: At least one argument is needed. For example:"
  echo "  sh $0 native"
  echo "  sh $0 native markdown"
  exit 1
fi

# Does tests
echo "🐾 Starting tests"
for arg in "$@"; do
  echo && echo "⚗️  Test in '$arg' format:"
  md=`cat *.md`
  rst=$'\n'`(pandoc -t markdown *.rst)`
  org=$'\n'`pandoc -t markdown *.org`
  echo "$md" "$rst" "$org" | pandoc --lua-filter $DIR/src/literate.lua -t $arg
done
